Package org.jboss.resteasy.client.jaxrs.engines

## Interface ReactiveClientHttpEngine

- All Superinterfaces:
    `AsyncClientHttpEngine`, `ClientHttpEngine`
  All Known Implementing Classes:
    `ReactorNettyClientHttpEngine`

      public interface ReactiveClientHttpEngine
      extends AsyncClientHttpEngine

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.resteasy.client.jaxrs.engines.AsyncClientHttpEngine

      `AsyncClientHttpEngine.ResultExtractor<T>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> org.reactivestreams.Publisher<T>` | `error​(Exception e)` | How the reactive implementation handles errors.
    `<T> org.reactivestreams.Publisher<T>` | `fromCompletionStage​(CompletionStage<T> cs)` |
    `<T> org.reactivestreams.Publisher<T>` | `just​(T t)` |
    `<T> org.reactivestreams.Publisher<T>` | `submitRx​(ClientInvocation request, boolean buffered, AsyncClientHttpEngine.ResultExtractor<T> extractor)` | This is the main bridge from RestEasy to a reactive implementation.

    - ### Methods inherited from interface org.jboss.resteasy.client.jaxrs.engines.AsyncClientHttpEngine

      `submit, submit, submit`

    - ### Methods inherited from interface org.jboss.resteasy.client.jaxrs.ClientHttpEngine

      `close, getHostnameVerifier, getSslContext, invoke, isFollowRedirects, setFollowRedirects`

- - ### Method Detail

    - #### submitRx

          <T> org.reactivestreams.Publisher<T> submitRx​(ClientInvocation request,
                                                        boolean buffered,
                                                        AsyncClientHttpEngine.ResultExtractor<T> extractor)

      This is the main bridge from RestEasy to a reactive implementation.

    - #### fromCompletionStage

          <T> org.reactivestreams.Publisher<T> fromCompletionStage​(CompletionStage<T> cs)

    - #### just

          <T> org.reactivestreams.Publisher<T> just​(T t)

    - #### error

          <T> org.reactivestreams.Publisher<T> error​(Exception e)

      How the reactive implementation handles errors.